### Function

# FwupdPlugin bytes_pad

since: 2.0.7

#### Declaration [src]

    GBytes*
    fu_bytes_pad (
      GBytes* bytes,
      gsize sz,
      guint8 data
    )

#### Description [src]

Pads a GBytes to a minimum `sz` with `0xff`.

Available since: 2.0.7

#### Parameters

`bytes`

  Type: `GBytes`

  Data blob.

  The data is owned by the caller of the function.

`sz`

  Type: `gsize`

  The desired size in bytes.

`data`

  Type: `guint8`

  The byte used to pad the array.

#### Return value

Type: `GBytes`

A data blob.

The caller of the function takes ownership of the data, and is responsible for freeing it.